{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "C_BUREAU_GESTION"; 
            externalType = VARCHAR2; 
            name = cBureauGestion; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_CATEGORIE"; 
            externalType = VARCHAR2; 
            name = cCategorie; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "C_CORPS"; 
            externalType = VARCHAR2; 
            name = cCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_FILIERE"; 
            externalType = VARCHAR2; 
            name = cFiliere; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 4; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_TYPE_CORPS"; 
            externalType = VARCHAR2; 
            name = cTypeCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FERMETURE_CORPS"; 
            externalType = DATE; 
            name = dFermetureCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_OUVERTURE_CORPS"; 
            externalType = DATE; 
            name = dOuvertureCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LC_CORPS"; 
            externalType = VARCHAR2; 
            name = lcCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LL_CORPS"; 
            externalType = VARCHAR2; 
            name = llCorps; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 40; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MASSE_INDICIAIRE"; 
            externalType = NUMBER; 
            name = masseIndiciaire; 
            precision = 4; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_CFP"; 
            externalType = VARCHAR2; 
            name = temCfp; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_CRCT"; 
            externalType = VARCHAR2; 
            name = temCrct; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_DELEGATION"; 
            externalType = VARCHAR2; 
            name = temDelegation; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_MISDEP"; 
            externalType = VARCHAR2; 
            name = temMisdep; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TEM_SURNOMBRE"; 
            externalType = VARCHAR2; 
            name = temSurnombre; 
            serverTimeZone = "Europe/Paris"; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        cCorps, 
        lcCorps, 
        llCorps, 
        cTypeCorps, 
        cCategorie, 
        cFiliere, 
        cBureauGestion, 
        masseIndiciaire, 
        temCfp, 
        temCrct, 
        temDelegation, 
        temMisdep, 
        temSurnombre
    ); 
    className = "org.cocktail.connecteur.common.modele.grhum.nomenclature.EOCorps"; 
    classProperties = (
        cCorps, 
        lcCorps, 
        llCorps, 
        cCategorie, 
        dFermetureCorps, 
        dCreation, 
        dModification, 
        toTypePopulation, 
        temSurnombre, 
        temDelegation, 
        temCrct, 
        temCfp, 
        dOuvertureCorps
    ); 
    externalName = "GRHUM.CORPS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            cCorps, 
            lcCorps, 
            llCorps, 
            cCategorie, 
            dFermetureCorps, 
            toTypePopulation, 
            temSurnombre, 
            temDelegation, 
            temCrct, 
            temCfp, 
            dOuvertureCorps
        ); 
    }; 
    name = Corps; 
    primaryKeyAttributes = (cCorps); 
    relationships = (
        {
            destination = TypePopulation; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cTypePopulation; sourceAttribute = cTypeCorps; }); 
            name = toTypePopulation; 
        }
    ); 
}
